Subject: bug#33870: 27.0.50; xref-goto-xref not configurable

From: martin rudalics <[email-masked]>
Date: Mon, 21 Jan 2019 08:52:48 +0100

> Like display-buffer-in-previous-window is an action function
 > that takes an alist entry `previous-window', couldn't
 > display-buffer-in-window be an action function that takes
 > an alist entry with the window where it display the buffer?
 > But it seems this is not needed.

It could be confusing.  'window--display-buffer' receives two
distinguished arguments - a live WINDOW that it _has_ to use for
displaying BUFFER in and a TYPE needed for correctly processing
'display-buffer-mark-dedicated' and the 'quite-restore' parameter.  If
callers fail to set these reliably, further processing might be
broken.  And keep in mind that unlike ordinary action functions
'window--display-buffer' never fails.  Any failure would be with a
broken caller.

martin